Subject: Re: bug#18375: 24.4.50; Emacs hangs X session manager logout in certain cases
From: Jan Djärv <[email-masked]>
To: Christoph Ruegge <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Stefan Monnier <[email-masked]>
Date: Thu, 4 Sep 2014 07:40:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Bug fixed in trunk.

3 sep 2014 kl. 20:51 skrev Christoph Ruegge <[email-masked]>:

>> The tests I done shows that the SM connection is not closed properly, ever.
> 
> Even if you add an SmcCloseConnection() call to x_session_close()?
> Seemed to work for me.

Sure, if I change stuff it works, but not as it is.

	Jan D.

> 
>> As for exposing SM to lisp, that might not be a bad idea, but it would be better to implement and expose the newer d-bus based SM than the old X based SM. The latter will probably go away within a couple of years. Gnome only has a compability layer for it on top of the d-bus SM.
> 
> That could maybe be done in pure Elisp, I suppose. Maybe I'll try that
> if I have some spare time.